<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: charset.c</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li class="current"><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>ファイル一覧</span></a></li>
      <li><a href="globals.html"><span>グローバル</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>charset.c</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>マクロ定義</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gaed3feae2f280e7413725a5090175591a">MCHAR_INVALID_CODE</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">無効なコードポイント.  <a href="group__m17nCharset.html#gaed3feae2f280e7413725a5090175591a"></a><br/></td></tr>
<tr><td colspan="2"><h2>関数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gaadbf43a8bb53d9056dd10a64e8424e30">mchar_define_charset</a> (const char *name, <a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">文字セットを定義する.  <a href="group__m17nCharset.html#gaadbf43a8bb53d9056dd10a64e8424e30"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gaf8f077d7d45aaf0a68a3b638c24043fc">mchar_resolve_charset</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> symbol)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">文字セット名を解決する.  <a href="group__m17nCharset.html#gaf8f077d7d45aaf0a68a3b638c24043fc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga9ffc490ec2ef0fb0509f09d161de6b85">mchar_list_charset</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> **symbols)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">文字セットを表わすシンボルを列挙する.  <a href="group__m17nCharset.html#ga9ffc490ec2ef0fb0509f09d161de6b85"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gac1a030a59290d16200818056943e93cd">mchar_decode</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> charset_name, unsigned code)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コードポイントをデコードする.  <a href="group__m17nCharset.html#gac1a030a59290d16200818056943e93cd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gae199b17a440f6e1d669e60a77df87e6a">mchar_encode</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> charset_name, int c)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">文字コードをエンコードする.  <a href="group__m17nCharset.html#gae199b17a440f6e1d669e60a77df87e6a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gad218c3916b17c1f42769e2316a6aa557">mchar_map_charset</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> charset_name, void(*func)(int from, int to, void *arg), void *func_arg)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">指定した文字セットのすべての文字に対して関数を呼ぶ.  <a href="group__m17nCharset.html#gad218c3916b17c1f42769e2316a6aa557"></a><br/></td></tr>
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader">変数: 文字セットを表現する定義済みシンボル.</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrp89925b935939e839cb05a4723247e1fa"></a> 以下の各シンボルは、定義済み文字セットを表現する。 </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga01281aed6d1604db0c98ac17c64b22e3">Mcharset_ascii</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ASCII 文字セットを表現するシンボル.  <a href="group__m17nCharset.html#ga01281aed6d1604db0c98ac17c64b22e3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga9f7fa705b5a9329979b6f7dba5b33fef">Mcharset_iso_8859_1</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ISO/IEC 8859-1:1998 文字セットを表現するシンボル.  <a href="group__m17nCharset.html#ga9f7fa705b5a9329979b6f7dba5b33fef"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga9a9826645fbd6d8cbc8dade0a05d93ca">Mcharset_unicode</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Unicode 文字セットを表現するシンボル.  <a href="group__m17nCharset.html#ga9a9826645fbd6d8cbc8dade0a05d93ca"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gae9d2842894a69850db2bfba1e7003938">Mcharset_m17n</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">全文字を含む文字セットを表現するシンボル.  <a href="group__m17nCharset.html#gae9d2842894a69850db2bfba1e7003938"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gaada84095266aedae3aed95ae942c47a0">Mcharset_binary</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">正しくデコードできない文字の文字セットを表現するシンボル.  <a href="group__m17nCharset.html#gaada84095266aedae3aed95ae942c47a0"></a><br/></td></tr>
<tr><td colspan="2"><div class="groupHeader">変数: mchar_define_charset 用のパラメータ・キー</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrp66d99ef7294cb87a1d65ab3b496f9cbd"></a> これらは、関数 <a class="el" href="group__m17nCharset.html#gaadbf43a8bb53d9056dd10a64e8424e30" title="文字セットを定義する.">mchar_define_charset()</a> 用のパラメータ・キーとして使われるシンボルである。 詳しくはこの関数の解説を参照のこと。 </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gae4f12e8c6f7383fc7c05388185ad7795">Mmethod</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga26a7745dfcd4b7e75ba08b006a94205b">Mdimension</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga290793cbf5b9e6aa96cce8e12e01af29">Mmin_range</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gad01176e5eeb7ee45fc3b144aa0393ccd">Mmax_range</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga002a4010b574d5b09e33281634c2b058">Mmin_code</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga71d715404e85831b2be9c1bb4044d1c7">Mmax_code</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga7c88134db9c464946410a44ae32969c5">Mascii_compatible</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga6fe1a313c304442d884f1dcefad262f0">Mfinal_byte</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gaa971af170d28beb8e9ffca53e03f2233">Mrevision</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gac519cab6fd5381b289b54f9bc3f5614f">Mmin_char</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gac7f334207f0907557e1805f327be2c0a">Mmapfile</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gab8f3c2a0d58caa179931151fa64e5eb0">Mparents</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gafcc44fe2009682c71b47f6157f07b85c">Msubset_offset</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gad98a8b772b9e851ae2920c5d7ed7c706">Mdefine_coding</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga150e01319257d2b8e82952baf4fbb16d">Maliases</a></td></tr>
<tr><td colspan="2"><div class="groupHeader">変数: 文字セットのメソッド指定に使われるシンボル</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrpb752f9421bf9d4bb8736292addb266f0"></a> これらは、文字セットの <em>メソッド</em> を指定するための定義済みシンボルであり、文字セットの <b>Mmethod</b> パラメータの値となることができる。 この値は関数 <a class="el" href="group__m17nCharset.html#gaadbf43a8bb53d9056dd10a64e8424e30" title="文字セットを定義する.">mchar_define_charset()</a> の引数として使われる。</p>
<p>メソッドとは、コードポイントと文字コードを相互変換する際の方式のことである。 詳しくは関数 <a class="el" href="group__m17nCharset.html#gaadbf43a8bb53d9056dd10a64e8424e30" title="文字セットを定義する.">mchar_define_charset()</a> の解説を参照のこと。 </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga7a86139a02caa1fba4cc46985b76c71b">Moffset</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">オフセット型のメソッドを示すシンボル.  <a href="group__m17nCharset.html#ga7a86139a02caa1fba4cc46985b76c71b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gaa774b1759de6142d26ffe8d5898c3874">Mmap</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">マップ型のメソッドを示すシンボル.  <a href="group__m17nCharset.html#gaa774b1759de6142d26ffe8d5898c3874"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gadd42d3be420b71333a771b05e4e5b6eb">Munify</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ユニファイ型のメソッドを示すシンボル.  <a href="group__m17nCharset.html#gadd42d3be420b71333a771b05e4e5b6eb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gaf9a6baf718f22984b5c5332afff0da90">Msubset</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">サブセット型のメソッドを示すシンボル.  <a href="group__m17nCharset.html#gaf9a6baf718f22984b5c5332afff0da90"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gadb08660f5913095d985cfbbd1a51b0bb">Msuperset</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">スーパーセット型のメソッドを示すシンボル.  <a href="group__m17nCharset.html#gadb08660f5913095d985cfbbd1a51b0bb"></a><br/></td></tr>
</table>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
